Subject: Re: System crash on boot_e500.S

From: Scott Wood <[email-masked]>
Date: Wed, 15 Aug 2007 11:30:55 -0500

Kumar Gala wrote:
> 
> On Aug 15, 2007, at 11:02 AM, Scott Wood wrote:
> 
>> On Wed, Aug 15, 2007 at 09:57:59AM -0400, mike zheng wrote:
>>
>>> Did you done similar work before? Current 2.6 code need many other  
>>> files,  I
>>> have following errors when I try to use the head_e500.S from 2.6  code:
>>>
>>>
>>> /kernel->   powerpc-linux-gnuspe-gcc -m32 -Wp,-MD,arch/ppc/ 
>>> kernel/.entry.o.d
>>> -nostdinc -isystem /opt/mtwk/usr/local/gcc-3_4-
>>> e500-glibc-2.3.4-dp/powerpc-linux-gnuspe/lib/gcc/powerpc-linux- 
>>> gnuspe/3.4.3/include
>>> -D__KERNEL__ -Iinclude  -Iarch/ppc -D__ASSEMBLY__ -Iarch/ppc -Wa,- 
>>> me500     -c
>>> -o arch/ppc/kernel/entry.o arch/ppc/kernel/entry.S
>>> arch/ppc/kernel/entry.S: Assembler messages:
>>>
>>> entry.S:819: Error: unsupported relocation against CSRR0
>>> entry.S:820: Error: unsupported relocation against CSRR1
>>> entry.S:888: Error: unsupported relocation against MCSRR0
>>> entry.S:889: Error: unsupported relocation against MCSRR1
>>> entry.S:909: Error: unsupported relocation against CSRR0
>>> entry.S:911: Error: unsupported relocation against CSRR1
>>
>>
>> Try arch/powerpc; arch/ppc is deprecated.
> 
> 
> He's trying a 2.4 kernel.

Sorry, I read the above as "I tried 2.6 and head_e500.S gave me these 
errors", not "I copied head_e500.S from 2.6 and for some reason expected 
it to work".

-Scott